Pular para o conteúdo

/public/v1/institutional-landings/{publicSlug}

GET
/public/v1/institutional-landings/{publicSlug}
curl --request GET \
--url https://api.endless.zaia.app/public/v1/institutional-landings/example

Retrieves a published institutional landing snapshot.

publicSlug
required

The stable public landing identifier.

string
>= 3 characters <= 120 characters /^[a-z0-9]+(?:-[a-z0-9]+)*$/

The stable public landing identifier.

Published institutional landing retrieved successfully.

Media typeapplication/json
object
canonicalUrl
required

The canonical URL for the published landing.

string format: uri
publishedAt
required

When the snapshot was published.

string format: date-time
nullable
snapshot
required

The public landing snapshot.

object
branding
required

The published customer identity.

object
logo
required
Any of:

A public HTTPS URL.

string format: uri
name
required

The published customer name.

string
>= 1 characters <= 120 characters
detail
required
Any of:
object
blocks
required

The ordered landing blocks.

Array
One of:
object
description
required

The about description.

string
>= 1 characters <= 2000 characters
title
required

The about title.

string
>= 1 characters <= 180 characters
type
required
string
Allowed values: about
variant
required
string
Allowed values: split statement story
visible
required

Whether the block is visible.

boolean
brief
required

The institutional brief.

object
audience
required

The target audience.

string
nullable >= 1 characters <= 500 characters
companyName
required

The company name.

string
>= 1 characters <= 120 characters
description
required

The company description.

string
>= 1 characters <= 2000 characters
differentiators
required

The company differentiators.

Array<string>
<= 10 items
offer
required

The main offer.

string
nullable >= 1 characters <= 1000 characters
segment
required

The business segment.

string
nullable >= 1 characters <= 120 characters
tone
required

The desired communication tone.

string
nullable >= 1 characters <= 250 characters
design
required

The controlled visual design system.

object
backgroundEffect
required

The controlled background decoration.

string
Allowed values: glow gradient grid none
buttonStyle
required

The controlled button treatment.

string
Allowed values: pill soft square
density
required

The landing content density.

string
Allowed values: balanced compact spacious
fontPairing
required

The safe system font pairing.

string
Allowed values: humanist-sans modern-sans mono-sans serif-sans
radius
required

The controlled border radius.

string
Allowed values: rounded sharp soft
sectionTreatment
required

The controlled section treatment.

string
Allowed values: alternating flat framed
visualStyle
required

The overall controlled visual style.

string
Allowed values: bold editorial minimal soft tech
palette
required

The landing color palette.

object
background
required

The page background color.

string
/^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$/
primary
required

The primary color.

string
/^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$/
secondary
required

The secondary color.

string
/^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$/
text
required

The text color.

string
/^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$/
requirements
required

The persistent generation requirements.

object
additionalInstructions
required

Additional persistent instructions for future generations.

string
nullable >= 1 characters <= 2000 characters
contentDepth
required

The desired amount of landing page content.

string
Allowed values: balanced concise detailed
mustInclude
required

Facts or points that must be included in future generations.

Array<string>
<= 20 items
objective
required

The landing page objective.

string
nullable >= 1 characters <= 500 characters
prohibitedTerms
required

Terms that must not be used in future generations.

Array<string>
<= 20 items
schemaVersion
required

The detail schema version.

number
Allowed values: 2
templateId
required

The selected template.

string
Allowed values: ai-first-product editorial-brand service-authority
Example
{
"snapshot": {
"detail": {
"blocks": [
{
"type": "about",
"variant": "split"
}
],
"design": {
"backgroundEffect": "glow",
"buttonStyle": "pill",
"density": "balanced",
"fontPairing": "humanist-sans",
"radius": "rounded",
"sectionTreatment": "alternating",
"visualStyle": "bold"
},
"requirements": {
"contentDepth": "balanced"
},
"schemaVersion": 2,
"templateId": "ai-first-product"
}
}
}

Published institutional landing not found.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}